Update form settings
curl --request PATCH \
--url https://formhug.ai/api/v1/forms/{form_token}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"locale": "<string>",
"timezone": "<string>",
"after_submission": {
"show_message": {
"rich_text": "<string>",
"text": {
"title": "<string>",
"description": "<string>"
}
},
"redirect": {
"url": "<string>",
"fields": [
"<string>"
]
},
"report": {
"score_based_feedbacks": [
{
"start_point": 123,
"end_point": 123,
"comment": "<string>"
}
]
}
},
"availability": {
"manually_closed": true,
"schedule": {
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
},
"entries_limit": 2,
"show_countdown": true,
"show_form_before_open": true
},
"access_control": {
"access_password": "<string>"
},
"submission_options": {
"show_progress": true,
"show_field_number": true
}
}
'import requests
url = "https://formhug.ai/api/v1/forms/{form_token}/settings"
payload = {
"locale": "<string>",
"timezone": "<string>",
"after_submission": {
"show_message": {
"rich_text": "<string>",
"text": {
"title": "<string>",
"description": "<string>"
}
},
"redirect": {
"url": "<string>",
"fields": ["<string>"]
},
"report": { "score_based_feedbacks": [
{
"start_point": 123,
"end_point": 123,
"comment": "<string>"
}
] }
},
"availability": {
"manually_closed": True,
"schedule": {
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
},
"entries_limit": 2,
"show_countdown": True,
"show_form_before_open": True
},
"access_control": { "access_password": "<string>" },
"submission_options": {
"show_progress": True,
"show_field_number": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locale: '<string>',
timezone: '<string>',
after_submission: {
show_message: {rich_text: '<string>', text: {title: '<string>', description: '<string>'}},
redirect: {url: '<string>', fields: ['<string>']},
report: {
score_based_feedbacks: [{start_point: 123, end_point: 123, comment: '<string>'}]
}
},
availability: {
manually_closed: true,
schedule: {start_at: '2023-11-07T05:31:56Z', end_at: '2023-11-07T05:31:56Z'},
entries_limit: 2,
show_countdown: true,
show_form_before_open: true
},
access_control: {access_password: '<string>'},
submission_options: {show_progress: true, show_field_number: true}
})
};
fetch('https://formhug.ai/api/v1/forms/{form_token}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"locale": "<string>",
"timezone": "<string>",
"after_submission": {
"show_message": {
"rich_text": "<string>",
"text": {
"title": "<string>",
"description": "<string>"
}
},
"redirect": {
"url": "<string>",
"fields": [
"<string>"
]
},
"report": {
"score_based_feedbacks": [
{
"start_point": 123,
"end_point": 123,
"comment": "<string>"
}
]
}
},
"availability": {
"manually_closed": true,
"schedule": {
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z"
},
"entries_limit": 2,
"show_countdown": true,
"show_form_before_open": true
},
"access_control": {
"access_password": "<string>"
},
"submission_options": {
"show_progress": true,
"show_field_number": true
}
}
}{
"error": "Name can't be blank",
"error_details": [
{
"attribute": "name",
"message": "can't be blank"
}
]
}Form Settings
Update form settings
Required scope: form:write. Field-level merge within each group; null clears the corresponding feature.
PATCH
/
api
/
v1
/
forms
/
{form_token}
/
settings
Update form settings
Authorizations
Personal Access Token prefixed with fh_. Sent as Authorization: Bearer fh_xxx.
The scope required by each endpoint is listed in that endpoint's description.
Path Parameters
Form token
Body
application/json
PATCH body. All keys are optional; only the groups (and within them, the fields) present in the payload are updated. null clears the corresponding feature.
Response
Updated
Show child attributes
Show child attributes
Last modified on July 9, 2026
Was this page helpful?
⌘I